Bug 1709055 - akmods doesn't compile modules after kernel update/install - akmodsposttrans related
Summary: akmods doesn't compile modules after kernel update/install - akmodsposttrans ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: akmods
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-12 21:51 UTC by nicolas.vieville
Modified: 2019-10-31 00:19 UTC (History)
8 users (show)

Fixed In Version: akmods-0.5.6-20.fc30 akmods-0.5.6-20.fc29 akmods-0.5.6-23.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-19 06:13:57 UTC


Attachments (Terms of Use)
Fix akmodsposttrans after kernel update/install on f30 (2.07 KB, patch)
2019-05-12 22:10 UTC, nicolas.vieville
no flags Details | Diff
Fix akmodsposttrans after kernel update/install on f30 (4.43 KB, patch)
2019-05-12 22:14 UTC, nicolas.vieville
no flags Details | Diff
Fix akmodsposttrans after kernel update/install on Fedora >= 28 and RHEL >= 7 - rhbz#1709055 (4.40 KB, patch)
2019-05-15 12:25 UTC, nicolas.vieville
no flags Details | Diff

Description nicolas.vieville 2019-05-12 21:51:24 UTC
Description of problem:

From Fedora 30, installing or updating a kernel doesn't triggers the akmodsposttrans shell script located in /etc/kernel/postinst.d/ directory. This due to the removal of the /usr/sbin/new-kernel-pkg from grubby package in Fedora 30 to switch to new Boot Loader Specification (BLS). This file is provided in grubby-deprecated package if needed.

The result is that modules are build, packaged and installed at boot time, making this phase more longer.

Version-Release number of selected component (if applicable):

akmods-0.5.6-19.fc30.noarch.rpm

How reproducible:

With Fedora 30 switched to BLS, install or update one kernel, verify that akmods builds no modules (less /var/cache/akmods/akmods.log). Reboot and check akmods logs again.

Actual results:

Boot time is slowed by akmods.

Expected results:

Akmods builds modules after kernel install or update.

Additional info:

Comment 1 nicolas.vieville 2019-05-12 22:10:01 UTC
Created attachment 1567642 [details]
Fix akmodsposttrans after kernel update/install on f30

Hello,

Here is a proposed patch to fix this issue, discussed on rpmfusion users list (topic akmodsposttrans ?? of may 2019).

Reviewing this patch is what it was wanted by opening this bug report. I didn't wanted to apply it before proven packagers review.

Feel free to make any comment about this.

Cordially,


-- 
NVieville

Comment 2 nicolas.vieville 2019-05-12 22:14:41 UTC
Created attachment 1567650 [details]
Fix akmodsposttrans after kernel update/install on f30

Comment 3 Sergio Monteiro Basto 2019-05-12 23:51:32 UTC
LGTM , using the rule which "worse will not stay", I think it should be applied .

Thanks,

Comment 4 Nicolas Chauvet (kwizart) 2019-05-14 15:34:25 UTC
This patch looks good.

It's just that %{_prefix}/lib/kernel/install.d exists in both fedora 28 and current EL7, so it would be nice to have there.
(although that can be adapted at a later step, let's get this fix sooner than later).

Comment 5 nicolas.vieville 2019-05-15 12:25:44 UTC
Created attachment 1568980 [details]
Fix akmodsposttrans after kernel update/install on Fedora >= 28 and RHEL >= 7 - rhbz#1709055

Hello,

Here is a new proposition for a patch that takes care of the previous comments (Fedora 28 end RHEL 7).

Cordially,


-- 
NVieville

Comment 6 Sergio Monteiro Basto 2019-05-15 22:32:59 UTC
Applied , I'm going build in all branches epel7 and F28+

Comment 7 Fedora Update System 2019-05-16 02:10:15 UTC
akmods-0.5.6-20.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-05faeaf24b

Comment 8 Fedora Update System 2019-05-16 02:12:11 UTC
akmods-0.5.6-20.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8ba034dce5

Comment 9 Fedora Update System 2019-05-17 03:48:29 UTC
akmods-0.5.6-20.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8ba034dce5

Comment 10 Fedora Update System 2019-05-17 15:37:35 UTC
akmods-0.5.6-20.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-05faeaf24b

Comment 11 Fedora Update System 2019-05-19 06:13:57 UTC
akmods-0.5.6-20.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-05-27 03:23:57 UTC
akmods-0.5.6-20.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Javier Martinez Canillas 2019-06-17 15:58:31 UTC
I think that instead of akmod taking care of this, the kernel hook scripts in /etc/kernel/ should be executed even if the configuration is using BLS snippets. Take a look to Bug #1696202.

Comment 14 Fedora Update System 2019-10-12 21:38:03 UTC
FEDORA-EPEL-2019-3eceb6f9bf has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-3eceb6f9bf

Comment 15 Fedora Update System 2019-10-13 03:15:08 UTC
akmods-0.5.6-22.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-3eceb6f9bf

Comment 16 Fedora Update System 2019-10-16 09:08:51 UTC
FEDORA-EPEL-2019-6a710036e9 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-6a710036e9

Comment 17 Fedora Update System 2019-10-16 16:09:04 UTC
akmods-0.5.6-23.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-6a710036e9

Comment 18 Fedora Update System 2019-10-31 00:19:54 UTC
akmods-0.5.6-23.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.